Bug 19374 - CircSidebar overlapping transferred items table
Summary: CircSidebar overlapping transferred items table
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low major (vote)
Assignee: Lari Taskula
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on: 16530
Blocks:
  Show dependency treegraph
 
Reported: 2017-09-27 14:39 UTC by Lari Taskula
Modified: 2017-12-05 15:23 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
CircSidebar overlapping transferred items table (55.41 KB, image/png)
2017-09-27 14:39 UTC, Lari Taskula
Details
Bug 19374: CircSidebar overlapping transferred items table (1.62 KB, patch)
2017-09-27 15:02 UTC, Lari Taskula
Details | Diff | Splinter Review
Bug 19374: CircSidebar overlapping transferred items table (1.70 KB, patch)
2017-09-27 15:35 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 19374: (follow-up) Remove stray closing div tag (1.00 KB, patch)
2017-09-27 16:06 UTC, Lari Taskula
Details | Diff | Splinter Review
Bug 19374: CircSidebar overlapping transferred items table (2.17 KB, patch)
2017-09-27 16:22 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 19374: CircSidebar overlapping transferred items table (2.26 KB, patch)
2017-10-06 09:34 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lari Taskula 2017-09-27 14:39:10 UTC
Created attachment 67395 [details]
CircSidebar overlapping transferred items table

When CircSidebar is activated, "Transferred items" table at Circulation -> Transfers goes under the sidebar. See attachment.

To reproduce:
1. Activate CircSidebar system preference
2. Go to cgi-bin/koha/circ/branchtransfers.pl
3. Enter a barcode and click submit
4. Observe transferred items table under the circulation side bar
Comment 1 Lari Taskula 2017-09-27 15:02:55 UTC
Created attachment 67396 [details] [review]
Bug 19374: CircSidebar overlapping transferred items table

When CircSidebar is activated, "Transferred items" table at
Circulation -> Transfers goes under the sidebar. This patch fixes the issue.

To test:
1. Enable CircSidebar system preference
2. Go to cgi-bin/koha/circ/branchtransfers.pl
3. Enter a barcode and click submit
4. Observe transferred items table under the circulation side bar
5. Apply patch
6. Enter a barcode and click submit
7. Observe transferred items is now correctly displayed
8. Also test with CircSidebar system preference deactivated
Comment 2 Jonathan Druart 2017-09-27 15:35:37 UTC
Created attachment 67397 [details] [review]
Bug 19374: CircSidebar overlapping transferred items table

When CircSidebar is activated, "Transferred items" table at
Circulation -> Transfers goes under the sidebar. This patch fixes the issue.

To test:
1. Enable CircSidebar system preference
2. Go to cgi-bin/koha/circ/branchtransfers.pl
3. Enter a barcode and click submit
4. Observe transferred items table under the circulation side bar
5. Apply patch
6. Enter a barcode and click submit
7. Observe transferred items is now correctly displayed
8. Also test with CircSidebar system preference deactivated

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 3 Lari Taskula 2017-09-27 16:06:00 UTC
Created attachment 67399 [details] [review]
Bug 19374: (follow-up) Remove stray closing div tag

To test:
1. Apply first patch and validate the document e.g. here
   https://validator.w3.org/#validate_by_input
2. Observe "Stray end tag div." error
3. Apply this patch and validate again
4. Observe no errors
5. Go through test plan from first patch to make sure things still look nice
Comment 4 Jonathan Druart 2017-09-27 16:22:31 UTC
Created attachment 67401 [details] [review]
Bug 19374: CircSidebar overlapping transferred items table

When CircSidebar is activated, "Transferred items" table at
Circulation -> Transfers goes under the sidebar. This patch fixes the issue.

To test:
1. Enable CircSidebar system preference
2. Go to cgi-bin/koha/circ/branchtransfers.pl
3. Enter a barcode and click submit
4. Observe transferred items table under the circulation side bar
5. Apply patch
6. Enter a barcode and click submit
7. Observe transferred items is now correctly displayed
8. Also test with CircSidebar system preference deactivated

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>

Bug 19374: (follow-up) Remove stray closing div tag

To test:
1. Apply first patch and validate the document e.g. here
   https://validator.w3.org/#validate_by_input
2. Observe "Stray end tag div." error
3. Apply this patch and validate again
4. Observe no errors
5. Go through test plan from first patch to make sure things still look nice

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Jonathan Druart 2017-09-27 16:22:59 UTC
Patches squashed for readability.
Comment 6 Jonathan Druart 2017-10-02 15:48:26 UTC
Upping severity, it impacts 17.05.x
Comment 7 Marcel de Rooy 2017-10-06 09:34:16 UTC
Created attachment 67681 [details] [review]
Bug 19374: CircSidebar overlapping transferred items table

When CircSidebar is activated, "Transferred items" table at
Circulation -> Transfers goes under the sidebar. This patch fixes the issue.

To test:
1. Enable CircSidebar system preference
2. Go to cgi-bin/koha/circ/branchtransfers.pl
3. Enter a barcode and click submit
4. Observe transferred items table under the circulation side bar
5. Apply patch
6. Enter a barcode and click submit
7. Observe transferred items is now correctly displayed
8. Also test with CircSidebar system preference deactivated

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>

Bug 19374: (follow-up) Remove stray closing div tag

To test:
1. Apply first patch and validate the document e.g. here
   https://validator.w3.org/#validate_by_input
2. Observe "Stray end tag div." error
3. Apply this patch and validate again
4. Observe no errors
5. Go through test plan from first patch to make sure things still look nice

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 8 Jonathan Druart 2017-10-06 15:19:15 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 9 Fridolin SOMERS 2017-10-25 08:14:49 UTC
Pushed to 17.05.x, will be in 17.05.06.
Comment 10 Katrin Fischer 2017-10-29 18:12:38 UTC
Depend on bug 16530 which is not part of 16.11.x, skipping.